package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TFaultExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TFaultExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andFaultIdIsNull() {
            addCriterion("FAULT_ID is null");
            return (Criteria) this;
        }

        public Criteria andFaultIdIsNotNull() {
            addCriterion("FAULT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andFaultIdEqualTo(String value) {
            addCriterion("FAULT_ID =", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdNotEqualTo(String value) {
            addCriterion("FAULT_ID <>", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdGreaterThan(String value) {
            addCriterion("FAULT_ID >", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdGreaterThanOrEqualTo(String value) {
            addCriterion("FAULT_ID >=", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdLessThan(String value) {
            addCriterion("FAULT_ID <", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdLessThanOrEqualTo(String value) {
            addCriterion("FAULT_ID <=", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdLike(String value) {
            addCriterion("FAULT_ID like", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdNotLike(String value) {
            addCriterion("FAULT_ID not like", value, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdIn(List<String> values) {
            addCriterion("FAULT_ID in", values, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdNotIn(List<String> values) {
            addCriterion("FAULT_ID not in", values, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdBetween(String value1, String value2) {
            addCriterion("FAULT_ID between", value1, value2, "faultId");
            return (Criteria) this;
        }

        public Criteria andFaultIdNotBetween(String value1, String value2) {
            addCriterion("FAULT_ID not between", value1, value2, "faultId");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andFaultDateIsNull() {
            addCriterion("FAULT_DATE is null");
            return (Criteria) this;
        }

        public Criteria andFaultDateIsNotNull() {
            addCriterion("FAULT_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andFaultDateEqualTo(Date value) {
            addCriterion("FAULT_DATE =", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateNotEqualTo(Date value) {
            addCriterion("FAULT_DATE <>", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateGreaterThan(Date value) {
            addCriterion("FAULT_DATE >", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateGreaterThanOrEqualTo(Date value) {
            addCriterion("FAULT_DATE >=", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateLessThan(Date value) {
            addCriterion("FAULT_DATE <", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateLessThanOrEqualTo(Date value) {
            addCriterion("FAULT_DATE <=", value, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateIn(List<Date> values) {
            addCriterion("FAULT_DATE in", values, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateNotIn(List<Date> values) {
            addCriterion("FAULT_DATE not in", values, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateBetween(Date value1, Date value2) {
            addCriterion("FAULT_DATE between", value1, value2, "faultDate");
            return (Criteria) this;
        }

        public Criteria andFaultDateNotBetween(Date value1, Date value2) {
            addCriterion("FAULT_DATE not between", value1, value2, "faultDate");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeIsNull() {
            addCriterion("SNED_REPAIRE_CUSTOME is null");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeIsNotNull() {
            addCriterion("SNED_REPAIRE_CUSTOME is not null");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeEqualTo(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME =", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeNotEqualTo(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME <>", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeGreaterThan(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME >", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeGreaterThanOrEqualTo(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME >=", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeLessThan(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME <", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeLessThanOrEqualTo(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME <=", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeLike(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME like", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeNotLike(String value) {
            addCriterion("SNED_REPAIRE_CUSTOME not like", value, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeIn(List<String> values) {
            addCriterion("SNED_REPAIRE_CUSTOME in", values, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeNotIn(List<String> values) {
            addCriterion("SNED_REPAIRE_CUSTOME not in", values, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeBetween(String value1, String value2) {
            addCriterion("SNED_REPAIRE_CUSTOME between", value1, value2, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andSnedRepaireCustomeNotBetween(String value1, String value2) {
            addCriterion("SNED_REPAIRE_CUSTOME not between", value1, value2, "snedRepaireCustome");
            return (Criteria) this;
        }

        public Criteria andFaultMomoIsNull() {
            addCriterion("FAULT_MOMO is null");
            return (Criteria) this;
        }

        public Criteria andFaultMomoIsNotNull() {
            addCriterion("FAULT_MOMO is not null");
            return (Criteria) this;
        }

        public Criteria andFaultMomoEqualTo(String value) {
            addCriterion("FAULT_MOMO =", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoNotEqualTo(String value) {
            addCriterion("FAULT_MOMO <>", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoGreaterThan(String value) {
            addCriterion("FAULT_MOMO >", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoGreaterThanOrEqualTo(String value) {
            addCriterion("FAULT_MOMO >=", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoLessThan(String value) {
            addCriterion("FAULT_MOMO <", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoLessThanOrEqualTo(String value) {
            addCriterion("FAULT_MOMO <=", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoLike(String value) {
            addCriterion("FAULT_MOMO like", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoNotLike(String value) {
            addCriterion("FAULT_MOMO not like", value, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoIn(List<String> values) {
            addCriterion("FAULT_MOMO in", values, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoNotIn(List<String> values) {
            addCriterion("FAULT_MOMO not in", values, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoBetween(String value1, String value2) {
            addCriterion("FAULT_MOMO between", value1, value2, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andFaultMomoNotBetween(String value1, String value2) {
            addCriterion("FAULT_MOMO not between", value1, value2, "faultMomo");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andScrapFlagIsNull() {
            addCriterion("SCRAP_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andScrapFlagIsNotNull() {
            addCriterion("SCRAP_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andScrapFlagEqualTo(String value) {
            addCriterion("SCRAP_FLAG =", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagNotEqualTo(String value) {
            addCriterion("SCRAP_FLAG <>", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagGreaterThan(String value) {
            addCriterion("SCRAP_FLAG >", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagGreaterThanOrEqualTo(String value) {
            addCriterion("SCRAP_FLAG >=", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagLessThan(String value) {
            addCriterion("SCRAP_FLAG <", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagLessThanOrEqualTo(String value) {
            addCriterion("SCRAP_FLAG <=", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagLike(String value) {
            addCriterion("SCRAP_FLAG like", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagNotLike(String value) {
            addCriterion("SCRAP_FLAG not like", value, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagIn(List<String> values) {
            addCriterion("SCRAP_FLAG in", values, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagNotIn(List<String> values) {
            addCriterion("SCRAP_FLAG not in", values, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagBetween(String value1, String value2) {
            addCriterion("SCRAP_FLAG between", value1, value2, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapFlagNotBetween(String value1, String value2) {
            addCriterion("SCRAP_FLAG not between", value1, value2, "scrapFlag");
            return (Criteria) this;
        }

        public Criteria andScrapIdIsNull() {
            addCriterion("SCRAP_ID is null");
            return (Criteria) this;
        }

        public Criteria andScrapIdIsNotNull() {
            addCriterion("SCRAP_ID is not null");
            return (Criteria) this;
        }

        public Criteria andScrapIdEqualTo(String value) {
            addCriterion("SCRAP_ID =", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdNotEqualTo(String value) {
            addCriterion("SCRAP_ID <>", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdGreaterThan(String value) {
            addCriterion("SCRAP_ID >", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdGreaterThanOrEqualTo(String value) {
            addCriterion("SCRAP_ID >=", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdLessThan(String value) {
            addCriterion("SCRAP_ID <", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdLessThanOrEqualTo(String value) {
            addCriterion("SCRAP_ID <=", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdLike(String value) {
            addCriterion("SCRAP_ID like", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdNotLike(String value) {
            addCriterion("SCRAP_ID not like", value, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdIn(List<String> values) {
            addCriterion("SCRAP_ID in", values, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdNotIn(List<String> values) {
            addCriterion("SCRAP_ID not in", values, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdBetween(String value1, String value2) {
            addCriterion("SCRAP_ID between", value1, value2, "scrapId");
            return (Criteria) this;
        }

        public Criteria andScrapIdNotBetween(String value1, String value2) {
            addCriterion("SCRAP_ID not between", value1, value2, "scrapId");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagIsNull() {
            addCriterion("REPAIRE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagIsNotNull() {
            addCriterion("REPAIRE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagEqualTo(String value) {
            addCriterion("REPAIRE_FLAG =", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagNotEqualTo(String value) {
            addCriterion("REPAIRE_FLAG <>", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagGreaterThan(String value) {
            addCriterion("REPAIRE_FLAG >", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagGreaterThanOrEqualTo(String value) {
            addCriterion("REPAIRE_FLAG >=", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagLessThan(String value) {
            addCriterion("REPAIRE_FLAG <", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagLessThanOrEqualTo(String value) {
            addCriterion("REPAIRE_FLAG <=", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagLike(String value) {
            addCriterion("REPAIRE_FLAG like", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagNotLike(String value) {
            addCriterion("REPAIRE_FLAG not like", value, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagIn(List<String> values) {
            addCriterion("REPAIRE_FLAG in", values, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagNotIn(List<String> values) {
            addCriterion("REPAIRE_FLAG not in", values, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagBetween(String value1, String value2) {
            addCriterion("REPAIRE_FLAG between", value1, value2, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireFlagNotBetween(String value1, String value2) {
            addCriterion("REPAIRE_FLAG not between", value1, value2, "repaireFlag");
            return (Criteria) this;
        }

        public Criteria andRepaireIdIsNull() {
            addCriterion("REPAIRE_ID is null");
            return (Criteria) this;
        }

        public Criteria andRepaireIdIsNotNull() {
            addCriterion("REPAIRE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andRepaireIdEqualTo(String value) {
            addCriterion("REPAIRE_ID =", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdNotEqualTo(String value) {
            addCriterion("REPAIRE_ID <>", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdGreaterThan(String value) {
            addCriterion("REPAIRE_ID >", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdGreaterThanOrEqualTo(String value) {
            addCriterion("REPAIRE_ID >=", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdLessThan(String value) {
            addCriterion("REPAIRE_ID <", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdLessThanOrEqualTo(String value) {
            addCriterion("REPAIRE_ID <=", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdLike(String value) {
            addCriterion("REPAIRE_ID like", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdNotLike(String value) {
            addCriterion("REPAIRE_ID not like", value, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdIn(List<String> values) {
            addCriterion("REPAIRE_ID in", values, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdNotIn(List<String> values) {
            addCriterion("REPAIRE_ID not in", values, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdBetween(String value1, String value2) {
            addCriterion("REPAIRE_ID between", value1, value2, "repaireId");
            return (Criteria) this;
        }

        public Criteria andRepaireIdNotBetween(String value1, String value2) {
            addCriterion("REPAIRE_ID not between", value1, value2, "repaireId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}